Zigbee Module Examples

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
hal_TI_TMP006_IR_temperature_sensor.c File Reference

Hardware Abstraction Layer (HAL) file for TI TMP006 Infrared temperature sensor. More...

`#include "hal.h"`
`#include "hal_TI_TMP006_IR_temperature_sensor.h"`
`#include <math.h>`
`#include "../Common/utilities.h"`
`#include <stdint.h>`

## Macros
#define | S0 6.0E-14F
#define | a1 1.75E-3F
#define | a2 -1.678E-5F
#define | b0 -2.94E-5F
#define | b1 -5.7E-7F
#define | b2 4.63E-9F
#define | c2 13.4f
#define | Tref 298.15
#define | alpha 2.96E-4F
void | tmp006Init ()
void | tmp006GetTemperature (struct TempReading *tempRead)

## Detailed Description

Hardware Abstraction Layer (HAL) file for TI TMP006 Infrared temperature sensor.

This sensor measures the radiated temperature of an object in "view" of the sensor. Sensor communicates via I2C.

Rev:
  1528

Author:
  dsmith

Date:
  2012-08-30 15:58:08 -0700 (Thu, 30 Aug 2012)

# Support

Please refer to the wiki at www.anaren.com/air-wiki-zigbee for more information. Additional support is available via email at the following addresses:

- Questions on how to use the product: AIR@a.nosp@m.nare.nosp@m.n.com
- Feature requests, comments, and improvements: featu.nosp@m.rere.nosp@m.quest.nosp@m.s@te.nosp@m.slaco.nosp@m.ntro.nosp@m.ls.co.nosp@m.m
- Consulting engagements: sales.nosp@m.@tes.nosp@m.lacon.nosp@m.trol.nosp@m.s.com

# License

Copyright (c) 2012 Anaren Microwave. All rights reserved. This Software may only be used with an Anaren A2530E24AZ1, A2530E24CZ1, A2530R24AZ1, or A2530R24CZ1 module. Redistribution and use in source and binary forms, with or without modification, are subject to the Software License Agreement in the file "anaren_eula.txt"

YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL ANAREN MICROWAVE OR TESLA CONTROLS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSE INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

void tmp006GetTemperature | ( | struct TempReading * | tempRead | ) |

Function to calulate and return the temperature and raw values from TMP006 sensor with transient correction. Also initializes the I2C bus with the TMP006's slave address.

Precondition:
  I2C bus has been properly initialized

Returns:
  TempReading structure containing the temperature values read and converted from the TMP006.

void tmp006Init | ( |  | ) |

Configures the TMP006 Sensor over I2C.

Precondition:
  I2C interface on microcontroller was configured correctly

Note:
  Part maximum baud rate 400kHz for I2C.
  On powerup, the sensor is powered down and needs to be turned on before use.
  Manufacturer register should be 0x5449, and control register should be 0x0067